---
apiVersion: discovery.k8s.io/v1beta1
items:
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.131.0.13
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: alertmanager-main-2
      namespace: openshift-monitoring
      resourceVersion: "21237"
      uid: d21ec15f-8d00-4f71-9a95-c43db177cfe5
    topology:
      kubernetes.io/hostname: worker-2.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.131.0.14
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: alertmanager-main-0
      namespace: openshift-monitoring
      resourceVersion: "21260"
      uid: b572fd36-f263-4d9c-8231-f106fe588f18
    topology:
      kubernetes.io/hostname: worker-2.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.131.0.17
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: alertmanager-main-1
      namespace: openshift-monitoring
      resourceVersion: "21268"
      uid: 347a969a-ce21-4605-b85f-78fbd2b58c3d
    topology:
      kubernetes.io/hostname: worker-2.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:48:02Z"
    creationTimestamp: "2022-03-08T10:47:36Z"
    generateName: alertmanager-main-
    generation: 4
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: alertmanager-main
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"700f8eea-64ca-4f5c-9134-26fac7c4f578"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:48:01Z"
    name: alertmanager-main-phrmc
    namespace: openshift-monitoring
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: alertmanager-main
      uid: 700f8eea-64ca-4f5c-9134-26fac7c4f578
    resourceVersion: "21272"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-monitoring/endpointslices/alertmanager-main-phrmc
    uid: b15b546b-f5bc-4dd5-a2d7-79ad8bb6c036
  ports:
  - name: tenancy
    port: 9092
    protocol: TCP
  - name: web
    port: 9095
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.131.0.13
    conditions:
      ready: true
    hostname: alertmanager-main-2
    targetRef:
      kind: Pod
      name: alertmanager-main-2
      namespace: openshift-monitoring
      resourceVersion: "21237"
      uid: d21ec15f-8d00-4f71-9a95-c43db177cfe5
    topology:
      kubernetes.io/hostname: worker-2.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.131.0.14
    conditions:
      ready: true
    hostname: alertmanager-main-0
    targetRef:
      kind: Pod
      name: alertmanager-main-0
      namespace: openshift-monitoring
      resourceVersion: "21260"
      uid: b572fd36-f263-4d9c-8231-f106fe588f18
    topology:
      kubernetes.io/hostname: worker-2.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.131.0.17
    conditions:
      ready: true
    hostname: alertmanager-main-1
    targetRef:
      kind: Pod
      name: alertmanager-main-1
      namespace: openshift-monitoring
      resourceVersion: "21268"
      uid: 347a969a-ce21-4605-b85f-78fbd2b58c3d
    topology:
      kubernetes.io/hostname: worker-2.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:48:02Z"
    creationTimestamp: "2022-03-08T10:47:37Z"
    generateName: alertmanager-operated-
    generation: 4
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: alertmanager-operated
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"a01cae43-2368-4344-bc5c-dc802d957c6e"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:48:01Z"
    name: alertmanager-operated-tc2v8
    namespace: openshift-monitoring
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: alertmanager-operated
      uid: a01cae43-2368-4344-bc5c-dc802d957c6e
    resourceVersion: "21276"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-monitoring/endpointslices/alertmanager-operated-tc2v8
    uid: dd0d373f-99c8-417c-a326-394177243fb2
  ports:
  - name: web
    port: 9095
    protocol: TCP
  - name: tcp-mesh
    port: 9094
    protocol: TCP
  - name: udp-mesh
    port: 9094
    protocol: UDP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.128.0.7
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: cluster-monitoring-operator-565dd756d4-2st68
      namespace: openshift-monitoring
      resourceVersion: "8781"
      uid: db8d6330-6d3a-4af2-9570-9c4a849a8d61
    topology:
      kubernetes.io/hostname: master-1.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:39:32Z"
    creationTimestamp: "2022-03-08T10:38:48Z"
    generateName: cluster-monitoring-operator-
    generation: 3
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: cluster-monitoring-operator
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"fe288984-0053-4997-b755-9ddd5aa079c8"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:39:32Z"
    name: cluster-monitoring-operator-mrdnx
    namespace: openshift-monitoring
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: cluster-monitoring-operator
      uid: fe288984-0053-4997-b755-9ddd5aa079c8
    resourceVersion: "8782"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-monitoring/endpointslices/cluster-monitoring-operator-mrdnx
    uid: 122162ef-1c8f-4373-9314-6fe1e3fab050
  ports:
  - name: https
    port: 8443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.128.2.5
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: grafana-c4597b685-hvrqk
      namespace: openshift-monitoring
      resourceVersion: "21187"
      uid: 17794ee2-f572-448d-bdda-aed88769865f
    topology:
      kubernetes.io/hostname: worker-0.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:48:00Z"
    creationTimestamp: "2022-03-08T10:47:36Z"
    generateName: grafana-
    generation: 3
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: grafana
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"b6c4c762-3dc2-4e93-b672-bb352cce833d"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:47:51Z"
    name: grafana-lpz9r
    namespace: openshift-monitoring
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: grafana
      uid: b6c4c762-3dc2-4e93-b672-bb352cce833d
    resourceVersion: "21189"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-monitoring/endpointslices/grafana-lpz9r
    uid: 9b929190-8047-4c8a-a24e-b62f4659f2b7
  ports:
  - name: https
    port: 3000
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.131.0.10
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: kube-state-metrics-6c8b757584-2b2dg
      namespace: openshift-monitoring
      resourceVersion: "21108"
      uid: 7f483a8b-2d47-496e-ad65-9f78e918a9ca
    topology:
      kubernetes.io/hostname: worker-2.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:47:58Z"
    creationTimestamp: "2022-03-08T10:38:50Z"
    generateName: kube-state-metrics-
    generation: 2
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: kube-state-metrics
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"a7263b5f-d943-4dfb-b375-692c6593ab9b"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:47:58Z"
    name: kube-state-metrics-c498p
    namespace: openshift-monitoring
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: kube-state-metrics
      uid: a7263b5f-d943-4dfb-b375-692c6593ab9b
    resourceVersion: "21112"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-monitoring/endpointslices/kube-state-metrics-c498p
    uid: 56f126d5-b3f3-47c7-bf8b-2a6b78865292
  ports:
  - name: https-self
    port: 9443
    protocol: TCP
  - name: https-main
    port: 8443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.0.94.119
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: node-exporter-kcxrx
      namespace: openshift-monitoring
      resourceVersion: "8679"
      uid: 5b107378-b5d7-47df-9fb1-6f1d391217b4
    topology:
      kubernetes.io/hostname: master-0.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.0.95.76
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: node-exporter-l5q6v
      namespace: openshift-monitoring
      resourceVersion: "8597"
      uid: 800cd127-2cf4-4ee2-aae5-8a509c2149b3
    topology:
      kubernetes.io/hostname: master-1.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.0.94.219
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: node-exporter-vrvq5
      namespace: openshift-monitoring
      resourceVersion: "8661"
      uid: 492fd0d9-fe66-4636-be8f-dcdf8bceaff2
    topology:
      kubernetes.io/hostname: master-2.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.0.89.30
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: node-exporter-tg54f
      namespace: openshift-monitoring
      resourceVersion: "19610"
      uid: 652e7f87-8d33-4db6-b10a-73c9469dd684
    topology:
      kubernetes.io/hostname: worker-0.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.0.94.235
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: node-exporter-x72zx
      namespace: openshift-monitoring
      resourceVersion: "19439"
      uid: f6334395-3ec8-4cad-92bd-a85e18466344
    topology:
      kubernetes.io/hostname: worker-2.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.0.90.58
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: node-exporter-bvmqv
      namespace: openshift-monitoring
      resourceVersion: "20096"
      uid: 939a0c1e-d209-4358-816b-398fd2777a51
    topology:
      kubernetes.io/hostname: worker-1.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:47:36Z"
    creationTimestamp: "2022-03-08T10:38:51Z"
    generateName: node-exporter-
    generation: 13
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: node-exporter
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"b1f9b2d8-bb06-403a-89f0-01177a0c5b49"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:38:52Z"
    name: node-exporter-w7lmg
    namespace: openshift-monitoring
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: node-exporter
      uid: b1f9b2d8-bb06-403a-89f0-01177a0c5b49
    resourceVersion: "20100"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-monitoring/endpointslices/node-exporter-w7lmg
    uid: bee1e1f0-b1d2-46fc-926e-8b7a103b6cc3
  ports:
  - name: https
    port: 9100
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.131.0.4
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: openshift-state-metrics-6d99649c49-4b6cb
      namespace: openshift-monitoring
      resourceVersion: "21014"
      uid: 809c270b-343a-4bd0-a6d2-dab04f5e8976
    topology:
      kubernetes.io/hostname: worker-2.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:47:56Z"
    creationTimestamp: "2022-03-08T10:38:50Z"
    generateName: openshift-state-metrics-
    generation: 2
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: openshift-state-metrics
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"2603f7ca-e794-4c43-a728-22c1a8c18aba"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:47:56Z"
    name: openshift-state-metrics-8brsm
    namespace: openshift-monitoring
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: openshift-state-metrics
      uid: 2603f7ca-e794-4c43-a728-22c1a8c18aba
    resourceVersion: "21017"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-monitoring/endpointslices/openshift-state-metrics-8brsm
    uid: cd700d3f-7481-4044-bfa2-74d8bcc2dd67
  ports:
  - name: https-self
    port: 9443
    protocol: TCP
  - name: https-main
    port: 8443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.131.0.9
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: prometheus-adapter-5fdd4bd886-bzs9k
      namespace: openshift-monitoring
      resourceVersion: "20967"
      uid: 0e2abbc8-c005-47e1-b652-ea7a99f1d65e
    topology:
      kubernetes.io/hostname: worker-2.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.131.0.15
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: prometheus-adapter-5fdd4bd886-nnfsr
      namespace: openshift-monitoring
      resourceVersion: "20978"
      uid: da44c376-e0ce-49c7-8783-f39741c870a0
    topology:
      kubernetes.io/hostname: worker-2.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:47:55Z"
    creationTimestamp: "2022-03-08T10:38:53Z"
    generateName: prometheus-adapter-
    generation: 3
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: prometheus-adapter
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"f98eed21-be8c-4d63-ac8d-6bea6baffbf9"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:47:55Z"
    name: prometheus-adapter-vk8pt
    namespace: openshift-monitoring
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: prometheus-adapter
      uid: f98eed21-be8c-4d63-ac8d-6bea6baffbf9
    resourceVersion: "20983"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-monitoring/endpointslices/prometheus-adapter-vk8pt
    uid: fb97d6e0-8363-49a1-a956-9036f2155309
  ports:
  - name: https
    port: 6443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.129.2.15
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: prometheus-k8s-1
      namespace: openshift-monitoring
      resourceVersion: "27070"
      uid: 6a6090cf-0e82-4f20-b1a9-b9e5c1ae1baa
    topology:
      kubernetes.io/hostname: worker-1.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.128.2.7
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: prometheus-k8s-0
      namespace: openshift-monitoring
      resourceVersion: "27329"
      uid: 624ac76a-6211-4c0f-a53e-716e1292225b
    topology:
      kubernetes.io/hostname: worker-0.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T11:02:08Z"
    creationTimestamp: "2022-03-08T10:47:40Z"
    generateName: prometheus-k8s-
    generation: 13
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: prometheus-k8s
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"81e9d81c-0c11-41a2-99cd-45c54f3c0f9f"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T11:02:08Z"
    name: prometheus-k8s-pr8c6
    namespace: openshift-monitoring
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: prometheus-k8s
      uid: 81e9d81c-0c11-41a2-99cd-45c54f3c0f9f
    resourceVersion: "27330"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-monitoring/endpointslices/prometheus-k8s-pr8c6
    uid: 05daf63f-ab66-4da0-9356-94a9d647da93
  ports:
  - name: tenancy
    port: 9092
    protocol: TCP
  - name: web
    port: 9091
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.129.2.15
    conditions:
      ready: true
    hostname: prometheus-k8s-1
    targetRef:
      kind: Pod
      name: prometheus-k8s-1
      namespace: openshift-monitoring
      resourceVersion: "27070"
      uid: 6a6090cf-0e82-4f20-b1a9-b9e5c1ae1baa
    topology:
      kubernetes.io/hostname: worker-1.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.128.2.7
    conditions:
      ready: true
    hostname: prometheus-k8s-0
    targetRef:
      kind: Pod
      name: prometheus-k8s-0
      namespace: openshift-monitoring
      resourceVersion: "27329"
      uid: 624ac76a-6211-4c0f-a53e-716e1292225b
    topology:
      kubernetes.io/hostname: worker-0.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T11:02:08Z"
    creationTimestamp: "2022-03-08T10:47:47Z"
    generateName: prometheus-operated-
    generation: 12
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: prometheus-operated
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"29d8315c-aa3e-4d96-8c7a-7bb272143f4c"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T11:02:08Z"
    name: prometheus-operated-bd6r4
    namespace: openshift-monitoring
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: prometheus-operated
      uid: 29d8315c-aa3e-4d96-8c7a-7bb272143f4c
    resourceVersion: "27331"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-monitoring/endpointslices/prometheus-operated-bd6r4
    uid: 32f016f8-daf8-482a-a518-1ced212f748e
  ports:
  - name: grpc
    port: 10901
    protocol: TCP
  - name: web
    port: 9091
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.130.0.28
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: prometheus-operator-79ffc97ccd-5h2pl
      namespace: openshift-monitoring
      resourceVersion: "16622"
      uid: d3626efe-fb57-4a96-96fb-c06c8695699d
    topology:
      kubernetes.io/hostname: master-0.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    creationTimestamp: "2022-03-08T10:38:50Z"
    generateName: prometheus-operator-
    generation: 6
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: prometheus-operator
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"42c31ac9-7f3e-4f5c-b3d1-356ab1459797"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:44:17Z"
    name: prometheus-operator-pj6lr
    namespace: openshift-monitoring
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: prometheus-operator
      uid: 42c31ac9-7f3e-4f5c-b3d1-356ab1459797
    resourceVersion: "16654"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-monitoring/endpointslices/prometheus-operator-pj6lr
    uid: fbc5aa44-722a-44d9-8542-a1b1feaf14e8
  ports:
  - name: https
    port: 8443
    protocol: TCP
  - name: web
    port: 8080
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.131.0.11
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: telemeter-client-57c59fc45f-gsqrj
      namespace: openshift-monitoring
      resourceVersion: "21159"
      uid: 844b9f4f-5083-4b83-9442-086e43dbdc36
    topology:
      kubernetes.io/hostname: worker-2.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:47:59Z"
    creationTimestamp: "2022-03-08T10:38:51Z"
    generateName: telemeter-client-
    generation: 2
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: telemeter-client
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"c511ebfb-3d19-4e0a-a1f7-60e49b74d810"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:47:59Z"
    name: telemeter-client-xmvjl
    namespace: openshift-monitoring
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: telemeter-client
      uid: c511ebfb-3d19-4e0a-a1f7-60e49b74d810
    resourceVersion: "21163"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-monitoring/endpointslices/telemeter-client-xmvjl
    uid: 404a5151-fb48-403e-a59d-5d665313c9f0
  ports:
  - name: https
    port: 8443
    protocol: TCP
- addressType: IPv4
  apiVersion: discovery.k8s.io/v1beta1
  endpoints:
  - addresses:
    - 10.128.2.4
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: thanos-querier-5c8f998999-bwnht
      namespace: openshift-monitoring
      resourceVersion: "21052"
      uid: 14131300-e989-44d3-af0d-13fb77224c05
    topology:
      kubernetes.io/hostname: worker-0.case03116926.lab.upshift.rdu2.redhat.com
  - addresses:
    - 10.131.0.16
    conditions:
      ready: true
    targetRef:
      kind: Pod
      name: thanos-querier-5c8f998999-vrvtc
      namespace: openshift-monitoring
      resourceVersion: "21476"
      uid: 4e901b41-1063-40bb-9bac-6a4ddac1cff0
    topology:
      kubernetes.io/hostname: worker-2.case03116926.lab.upshift.rdu2.redhat.com
  kind: EndpointSlice
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2022-03-08T10:48:10Z"
    creationTimestamp: "2022-03-08T10:38:48Z"
    generateName: thanos-querier-
    generation: 5
    labels:
      endpointslice.kubernetes.io/managed-by: endpointslice-controller.k8s.io
      kubernetes.io/service-name: thanos-querier
    managedFields:
    - apiVersion: discovery.k8s.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        f:addressType: {}
        f:endpoints: {}
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
          f:generateName: {}
          f:labels:
            .: {}
            f:endpointslice.kubernetes.io/managed-by: {}
            f:kubernetes.io/service-name: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"aee72159-38f0-4f72-aa35-0bc1121e3b50"}:
              .: {}
              f:apiVersion: {}
              f:blockOwnerDeletion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:ports: {}
      manager: kube-controller-manager
      operation: Update
      time: "2022-03-08T10:48:10Z"
    name: thanos-querier-lzqnb
    namespace: openshift-monitoring
    ownerReferences:
    - apiVersion: v1
      blockOwnerDeletion: true
      controller: true
      kind: Service
      name: thanos-querier
      uid: aee72159-38f0-4f72-aa35-0bc1121e3b50
    resourceVersion: "21478"
    selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-monitoring/endpointslices/thanos-querier-lzqnb
    uid: 62549ce7-71a0-4c15-b043-333872975372
  ports:
  - name: tenancy-rules
    port: 9093
    protocol: TCP
  - name: tenancy
    port: 9092
    protocol: TCP
  - name: web
    port: 9091
    protocol: TCP
kind: EndpointSliceList
metadata:
  resourceVersion: "83017"
  selfLink: /apis/discovery.k8s.io/v1beta1/namespaces/openshift-monitoring/endpointslices
